<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title(t(:label_my_account), I18n.t('my_account.access_tokens.access_tokens')) -%>

<% breadcrumb_paths(t(:label_my_account), I18n.t('my_account.access_tokens.access_tokens')) %>

<div class="access-token-page--container">
	<%= toolbar title: I18n.t('my_account.access_tokens.access_tokens') %>

	<%= render partial: 'my/access_token_partials/api_tokens_section',
							locals: { api_token: @user.api_token }
	%>
	<%= render partial: 'my/access_token_partials/icalendar_tokens_section', 
							locals: { ical_tokens_grouped_by_query: @ical_tokens_grouped_by_query } 
	%>
	<%= render partial: 'my/access_token_partials/oauth_tokens_section', 
							locals: { granted_applications: granted_applications } 
	%>
	<%= render partial: 'my/access_token_partials/rss_tokens_section', 
							locals: { rss_token: @user.rss_token } 
	%>
  <%= render partial: 'my/access_token_partials/storage_tokens_section',
             locals: { storage_tokens: @storage_tokens }
  %>
  <div class="generic-table--container">
    <div class="generic-table--results-container">
      <table class="generic-table">
        <%= call_hook(:view_access_tokens_table, user: @user) %>
      </table>
    </div>
  </div>
</div>

